---
schema_version: "1"
id: 90890c2b900522b0dedc0383a1f21282871e6a56c0048a45756d04f0eaad00e6
title: Get Record Edit Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_action_record_edit.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_action_record_edit.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: c0122069f17c4b464ebb6dcd59429af9ad8466c6197ececf0b9104dc9608d441
description: Get the actions on a record edit page.
---
# Get Record Edit Actions

Get the actions on a record edit page.

Resource

/ui-api/actions/record/${recordId}/record-edit

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have an Account page with a record ID of 001R0000003IDlwIAG. To get information about all the actions on the edit page for this record, make this request:

GET /services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/record-edit

The request returns a list of actions on the edit page and the URLs of the request and subrequests.

{
  "actions" : {
    "001R0000003IDlwIAG" : {
      "actions" : \[ {
        "actionListContext" : "RecordEdit",
        "actionTarget" : null,
        "actionTargetType" : "Invoke",
        "apiName" : "SaveEdit",
        "externalId" : "00DR00000008n7M:001R0000003IDlwIAG::RecordEdit:Phone:StandardButton:SaveEdit",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/new\_custom19\_120.png",
        "id" : "0JVR00000000001OAA",
        "isMassAction" : "false",
        "label" : "Save",
        "primaryColor" : null,
        "relatedListRecordId" : null,
        "relatedSourceObject" : null,
        "section" : "Page",
        "sourceObject" : "001R0000003IDlwIAG",
        "subtype" : null,
        "targetObject" : "Account",
        "targetUrl" : null,
        "type" : "StandardButton"
      }

... Additional actions removed for brevity ...

\],
      "links" : \[ \],
      "url" : "/services/data/v41.0/ui-api/actions/record/001R0000003IDlwIAG/record-edit"
    }
  },
  "url" : "/services/data/v41.0/ui-api/actions/record/001R0000003IDlwIAG/record-edit"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d36856e118">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d36856e121">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d36856e124">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d36856e127">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d36856e130">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d36856e118" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d36856e121" data-title="Type">String[]</td>

                  <td class="entry" headers="d36856e124" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d36856e127" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d36856e130" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d36856e118" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d36856e121" data-title="Type">String[]</td>

                  <td class="entry" headers="d36856e124" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d36856e127" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d36856e130" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d36856e118" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d36856e121" data-title="Type">String</td>

                  <td class="entry" headers="d36856e124" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d36856e127" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d36856e130" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d36856e118" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d36856e121" data-title="Type">String</td>

                  <td class="entry" headers="d36856e124" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d36856e127" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d36856e130" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d36856e118" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d36856e121" data-title="Type">String[]</td>

                  <td class="entry" headers="d36856e124" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d36856e127" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d36856e130" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm#ui_api_responses_action "The actions for a single record or a collection of records.")